Subject: bug#69864: 30.0.50; Problem with equal hash tables

From: Gerd Möllmann <[email-masked]>
Date: Mon, 18 Mar 2024 08:45:12 +0100

Stefan Monnier <[email-masked]> writes:

> Gerd Möllmann [2024-03-17 19:56:24] wrote:
>> Gerd Möllmann <[email-masked]> writes:
>>> (unsigned char *) data = 0x00007fb1f8a41978 "cl--generic-build-combined-method"
>> Or, and maybe more plausible, someone modifies the hash-table keys used
>> in the function above...
>
> Lessee...
>
>     (defun cl--generic-build-combined-method (generic methods)
>       (let ((f
>              (with-memoization
>                  ;; FIXME: Since the fields of `generic' are modified, this
>                  ;; hash-table won't work right, because the hashes will change!
>                  ;; It's not terribly serious, but reduces the effectiveness of
>                  ;; the table.

Oh, I didn't read that comment, of course :-). Thanks!

I guess I'll try to ignore that hash-table somehow in my checks. It seems
it's the only one in Emacs making problems.

And I think I'll close this report if it's a known problem anyway.